Bug 219033 - poppler-utils update conflcts with the current xpdf-utils
poppler-utils update conflcts with the current xpdf-utils
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-09 12:47 EST by Michal Jaegermann
Modified: 2008-02-07 10:20 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-01 22:49:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-12-09 12:47:30 EST
Description of problem:

poppler-utils-0.5.4-3.fc7 conflict with the current xpdf-utils
from extras (with xpdf which has dependency on xpdf-utils).
Should poppler-utils explicitely obsolete xpdf-utils or should
be that left solely to an xpdf update?

See also bug 219032.

Version-Release number of selected component (if applicable):
poppler-0.5.4-3.fc7
Comment 1 Michal Jaegermann 2006-12-13 16:43:03 EST
Sigh!  And after all discussions in bug 219032 we end up in FC6 with:

Transaction Check Error:   file /usr/bin/pdftoppm from install of
poppler-utils-0.5.4-3.fc6 conflicts with file from package xpdf-utils-3.01-26.fc6
  file /usr/share/man/man1/pdftoppm.1.gz from install of
poppler-utils-0.5.4-3.fc6 conflicts with file from package xpdf-utils-3.01-26.fc6

Why these "obsoletes" and "provides" could not be added in a spec file?
Comment 2 Fedora Update System 2006-12-14 11:29:13 EST
poppler-0.5.4-4.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Adam Pribyl 2006-12-14 13:11:00 EST
yum --enablerepo=updates-testing update poppler-utils poppler poppler-qt

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 poppler                 x86_64     0.5.4-4.fc6      updates-testing   3.0 M
 poppler-qt              x86_64     0.5.4-4.fc6      updates-testing    29 k
 poppler-utils           x86_64     0.5.4-4.fc6      updates-testing    77 k
Updating for dependencies:
 poppler-devel           x86_64     0.5.4-4.fc6      updates-testing    34 k

Transaction Check Error:   file /usr/bin/pdftoppm from install of
poppler-utils-0.5.4-4.fc6 conflicts with file from package xpdf-utils-3.01-26.fc6
  file /usr/share/man/man1/pdftoppm.1.gz from install of
poppler-utils-0.5.4-4.fc6 conflicts with file from package xpdf-utils-3.01-26.fc6

??
Comment 4 Michal Jaegermann 2006-12-14 15:03:38 EST
Sigh!  This is rpm which is tripping despite of explicit obsoletes
and provides.  Here is a fragment with from an output of
'rpm -Fvh --test -v poppler*0.5.4-4.fc6*':
...
D: opening  db index       /var/lib/rpm/Basenames rdonly mode=0x0
########################################### [100%]
        file /usr/bin/pdftoppm from install of poppler-utils-0.5.4-4.fc6
conflicts with file from package xpdf-utils-3.01-26.fc6
        file /usr/share/man/man1/pdftoppm.1.gz from install of
poppler-utils-0.5.4-4.fc6 conflicts with file from package xpdf-utils-3.01-26.fc6
D: closed   db index       /var/lib/rpm/Pubkeys
...

OTOH after 'rpm -e --nodeps xpdf-utils' not only yum does not have
any problems but 'rpm -V xpdf', after an update, is also happy.
It seems that without an update for 'xpdf', with obsoletes and changed
requires there, this will not work without a manual intervention.
Maybe I am wrong?
Comment 5 Fedora Update System 2006-12-15 11:57:37 EST
poppler-0.5.4-5.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 6 Matt Wette 2006-12-16 11:42:05 EST
This is not working for me.  I removed xpdf-utils to remove the conflict
but now I can't update xpdf.  I think I need to pick either xpdf or poppler
and remove the other! Bummer.
Comment 7 Matt Wette 2006-12-16 11:45:20 EST
xpdf depends on poppler, so "rpm -e --nodeps poppler poppler-utils" did not work.
I am currently stuck with unmanageable update situation.  Please fix this.  Thx.
Comment 8 Matthias Clasen 2006-12-19 14:34:04 EST
well, xpdf requires xpdf-utils, which is now provided by poppler-utils, so a
yum upgrade should work.
Comment 9 Matt Thompson 2006-12-19 15:41:39 EST
The new xpdf with a requires on poppler-utils allowed me to "yum remove
xpdf-utils" and then "yum update poppler*".

I couldn't get a generic "yum upgrade" or "yum update" to do it as the
transaction check or whatever still borked.
Comment 10 Tom "spot" Callaway 2006-12-19 18:09:27 EST
Correction: xpdf now requires: poppler-utils.
Comment 11 Andre Robatino 2006-12-19 23:48:40 EST
  The current version of poppler-utils doesn't obsolete xpdf-utils, as I had
xpdf-utils installed and had to remove it manually before being allowed to
update poppler-utils.  As I understand it this should have happened automatically.
Comment 12 Adam Pribyl 2006-12-20 04:19:39 EST
There is still poppler-utils-0.5.4-3.fc6 in updates, probably the
poppler-0.5.4-5.fc6 should be pushed "more".:)
Comment 13 Adam Pribyl 2006-12-20 04:54:59 EST
yum upgrade --enablerepo=updates-testing poppler-utils
works now
Comment 14 Fedora Update System 2006-12-20 16:33:29 EST
poppler-0.5.4-5.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.